﻿using Kreta.DataAccessManual.Interfaces;
using Kreta.Framework.Util;

namespace Kreta.DataAccessManual.Util
{
    public class DalHandler : IDalHandler
    {
        internal DalHandler() { }

        private bool commitOnEnd;

        bool IDalHandler.CommitOnEnd => commitOnEnd;

        internal void Commit()
        {
            commitOnEnd = true;
        }

        public IFeladatEllatasiHelyDal FeladatEllatasiHelyDal() => new FeladatEllatasiHelyDAL(this);

        public IFeladatEllatasiHelyDal FeladatEllatasiHelyDal(GridParameters parameters) => new FeladatEllatasiHelyDAL(this, parameters);

        public IAdatszolgaltatasokDal AdatszolgaltatasokDAL()
        {
            return new AdatszolgaltatasokDAL(this);
        }

        public IAdatszolgaltatasokDal AdatszolgaltatasokDAL(GridParameters parameters)
        {
            return new AdatszolgaltatasokDAL(this, parameters);
        }

        public IAlkalmazottDal Alkalmazott()
        {
            return new AlkalmazottDal(this);
        }

        public IAlkalmazottDal Alkalmazott(GridParameters parameters)
        {
            return new AlkalmazottDal(this, parameters);
        }

        public IAlkalmazottMunkaugyiAdatokDal AlkalmazottMunkaugyiAdatokDal()
        {
            return new AlkalmazottMunkaugyiAdatokDal(this);
        }

        public ICimDal Cim()
        {
            return new CimDal(this);
        }

        public ICsengetesiRendDal CsengetesiRend()
        {
            return new CsengetesiRendDal(this);
        }

        public ICsengetesiRendDal CsengetesiRend(GridParameters parameters)
        {
            return new CsengetesiRendDal(this, parameters);
        }

        public ICsengetesiRendOrakDal CsengetesiRendOrak()
        {
            return new CsengetesiRendOrakDal(this);
        }

        public ICsengetesiRendOrakDal CsengetesiRendOrak(GridParameters parameters)
        {
            return new CsengetesiRendOrakDal(this, parameters);
        }

        public ICsoportDal Csoport()
        {
            return new CsoportDal(this);
        }

        public ICsoportDal Csoport(GridParameters parameters)
        {
            return new CsoportDal(this, parameters);
        }

        public IDashboardUzenetDal DashboardUzenet()
        {
            return new DashboardUzenetDal(this);
        }

        public IDiakolimpiaDAL DiakolimpiaDAL()
        {
            return new DiakolimpiaDAL(this);
        }

        public IDiakolimpiaDAL DiakolimpiaDAL(GridParameters parameters)
        {
            return new DiakolimpiaDAL(this, parameters);
        }

        public IElearningElerhetosegDal ElearningElerhetosegDal()
        {
            return new ElearningElerhetosegDal(this);
        }

        public IEletpalyaModellDal EletpalyaModell()
        {
            return new EletpalyaModellDal(this);
        }

        public IEmailDal Email()
        {
            return new EmailDal(this);
        }

        public IEmailDal Email(GridParameters parameters)
        {
            return new EmailDal(this, parameters);
        }

        public IErettsegiEredmenyDal ErettsegiEredmeny()
        {
            return new ErettsegiEredmenyDal(this);
        }

        public IErettsegiEredmenyDal ErettsegiEredmeny(GridParameters parameters)
        {
            return new ErettsegiEredmenyDal(this, parameters);
        }

        public IEszkozDal EszkozDal()
        {
            return new EszkozDAL(this);
        }

        public IEszkozDal EszkozDal(GridParameters parameters)
        {
            return new EszkozDAL(this, parameters);
        }

        public IEszkozigenylesDal EszkozigenylesDal()
        {
            return new EszkozigenylesDAL(this);
        }

        public IEszkozigenylesDal EszkozigenylesDal(GridParameters parameters)
        {
            return new EszkozigenylesDAL(this, parameters);
        }


        public IEugyintezesDal EugyintezesDal()
        {
            return new EugyintezesDal(this);
        }

        public IEugyintezesLogDal EugyintezesLog()
        {
            return new EugyintezesLogDal(this);
        }

        public IFelhasznaloDal Felhasznalo()
        {
            return new FelhasznaloDal(this);
        }

        public IFelhasznaloDal Felhasznalo(GridParameters parameters)
        {
            return new FelhasznaloDal(this, parameters);
        }

        public IFelhasznaloBelepesDal FelhasznaloBelepes()
        {
            return new FelhasznaloBelepesDal(this);
        }

        public IFeljegyzesDal Feljegyzes()
        {
            return new FeljegyzesDal(this);
        }

        public IFeljegyzesDal Feljegyzes(GridParameters parameters)
        {
            return new FeljegyzesDal(this, parameters);
        }

        public IFeltoltottFajlDAL FeltoltottFajlDAL()
        {
            return new FeltoltottFajlDAL(this);
        }

        public IFeltoltottFajlDAL FeltoltottFajlDAL(GridParameters parameters)
        {
            return new FeltoltottFajlDAL(this, parameters);
        }

        public IFileDAL FileDAL()
        {
            return new FileDal(this);
        }

        public IFileDAL FileDAL(GridParameters parameters)
        {
            return new FileDal(this, parameters);
        }

        public IFogadooraDal Fogadoora()
        {
            return new FogadooraDAL(this);
        }

        public IFogadooraDal Fogadoora(GridParameters parameters)
        {
            return new FogadooraDAL(this, parameters);
        }

        public IFoglalkozasAmiTanuloDal FoglalkozasAmiTanuloDal()
        {
            return new FoglalkozasAmiTanuloDal(this);
        }

        public IFoglalkozasAmiTanuloDal FoglalkozasAmiTanuloDal(GridParameters parameters)
        {
            return new FoglalkozasAmiTanuloDal(this, parameters);
        }

        public IFoglalkozasDal Foglalkozas()
        {
            return new FoglalkozasDal(this);
        }

        public IFoglalkozasDal Foglalkozas(GridParameters parameters)
        {
            return new FoglalkozasDal(this, parameters);
        }

        public IGondviseloDal Gondviselo()
        {
            return new GondviseloDal(this);
        }

        public IBeszerzesiModulDAL BeszerzesiModul()
        {
            return new BeszerzesiModulDAL(this);
        }

        public IBeszerzesiModulDAL BeszerzesiModul(GridParameters parameters)
        {
            return new BeszerzesiModulDAL(this, parameters);
        }

        public IHelyettesitesDAL HelyettesitesDAL()
        {
            return new HelyettesitesDAL(this);
        }

        public IHelyettesitesDAL HelyettesitesDAL(GridParameters parameters)
        {
            return new HelyettesitesDAL(this, parameters);
        }

        public IHetesDal HetesDal()
        {
            return new HetesDal(this);
        }

        public IHRModulDAL HRModulDAL()
        {
            return new HRModulDAL(this);
        }

        public IHRModulDAL HRModulDAL(GridParameters parameters)
        {
            return new HRModulDAL(this, parameters);
        }

        public IIgazolasDal IgazolasDal()
        {
            return new IgazolasDal(this);
        }

        public IIgazolasDal IgazolasDal(GridParameters parameters)
        {
            return new IgazolasDal(this, parameters);
        }

        public IIktatottDokumentumCsatolmanyDal IktatottDokumentumCsatolmanyDal()
        {
            return new IktatottDokumentumCsatolmanyDAL(this);
        }

        public IIktatottDokumentumDal IktatottDokumentumDal()
        {
            return new IktatottDokumentumDAL(this);
        }

        public IIktatottDokumentumDal IktatottDokumentumDal(GridParameters parameters)
        {
            return new IktatottDokumentumDAL(this, parameters);
        }

        public IImportExportDal ImportExportDal()
        {
            return new ImportExportDal(this);
        }

        public IImportExportDal ImportExportDal(GridParameters parameters)
        {
            return new ImportExportDal(this, parameters);
        }

        public IInformatikaiAdatszolgDal InformatikaiAdatszolgDal()
        {
            return new InformatikaiAdatszolgDAL(this);
        }

        public IInformatikaiAdatszolgDal InformatikaiAdatszolgDal(GridParameters parameters)
        {
            return new InformatikaiAdatszolgDAL(this, parameters);
        }

        public IIntezmenyDal IntezmenyDal()
        {
            return new IntezmenyDAL(this);
        }

        public IJelszoModositasLinkDal JelszoModositasLinkDal()
        {
            return new JelszoModositasLinkDal(this);
        }

        public IJelszoModositasLinkDal JelszoModositasLinkDal(GridParameters parameters)
        {
            return new JelszoModositasLinkDal(this, parameters);
        }

        public IKirKontenerDAL KirKontenerDAL()
        {
            return new KirKontenerDAL(this);
        }

        public IKirKontenerStatuszDAL KirKontenerStatuszDAL()
        {
            return new KirKontenerStatuszDAL(this);
        }

        public IKirKontenerElemDAL KirKontenerElemDAL()
        {
            return new KirKontenerElemDAL(this);
        }

        public IKirKontenerElemStatuszDAL KirKontenerElemStatuszDAL()
        {
            return new KirKontenerElemStatuszDAL(this);
        }

        public IKirTelephelyDal KirTelephelyDal()
        {
            return new KirTelephelyDAL(this);
        }

        public IKKVegzettsegDal KKVegzettsegDal()
        {
            return new KKVegzettsegDal(this);
        }

        public IKKVegzettsegDal KKVegzettsegDal(GridParameters parameters)
        {
            return new KKVegzettsegDal(this, parameters);
        }

        public IKozmuszamlaDal KozmuszamlaDal()
        {
            return new KozmuszamlaDal(this);
        }

        public IKozmuszamlaDal KozmuszamlaDal(GridParameters parameters)
        {
            return new KozmuszamlaDal(this, parameters);
        }

        public ILepEloadasJegyzekDal LepEloadasJegyzekDal()
        {
            return new LepEloadasJegyzekDal(this);
        }

        public ILepEloadasJegyzekDal LepEloadasJegyzekDal(GridParameters parameters)
        {
            return new LepEloadasJegyzekDal(this, parameters);
        }

        public ILepEloadasDal LepEloadasDal()
        {
            return new LepEloadasDal(this);
        }

        public ILepEloadasDal LepEloadasDal(GridParameters parameters)
        {
            return new LepEloadasDal(this, parameters);
        }

        public IMeroallasDal MeroallasDal()
        {
            return new MeroallasDal(this);
        }

        public IMeroallasDal MeroallasDal(GridParameters parameters)
        {
            return new MeroallasDal(this, parameters);
        }

        public IMerohelyDal MerohelyDal()
        {
            return new MerohelyDal(this);
        }

        public IMerohelyDal MerohelyDal(GridParameters parameters)
        {
            return new MerohelyDal(this, parameters);
        }

        public IMulasztasDal MulasztasDal()
        {
            return new MulasztasDAL(this);
        }

        public IMulasztasDal MulasztasDal(GridParameters parameters)
        {
            return new MulasztasDAL(this, parameters);
        }

        public INaptariNapDal NaptariNap()
        {
            return new NaptariNapDal(this);
        }

        public INaptariNapDal NaptariNap(GridParameters parameters)
        {
            return new NaptariNapDal(this, parameters);
        }

        public INatKerdoivDal NatKerdoivDal()
        {
            return new NatKerdoivDal(this);
        }

        public INatKerdoivDal NatKerdoivDal(GridParameters parameters)
        {
            return new NatKerdoivDal(this, parameters);
        }

        public INebuloDal Nebulo()
        {
            return new NebuloDal(this);
        }

        public INebuloDal Nebulo(GridParameters parameters)
        {
            return new NebuloDal(this, parameters);
        }
        public INemKotottMunkaidoDal NemKotottMunkaido()
        {
            return new NemKotottMunkaidoDAL(this);
        }

        public INemKotottMunkaidoDal NemKotottMunkaido(GridParameters parameters)
        {
            return new NemKotottMunkaidoDAL(this, parameters);
        }

        public INyomtatvanyokDal NyomtatvanyokDal()
        {
            return new NyomtatvanyokDAL(this);
        }

        public INyomtatvanyokDal NyomtatvanyokDal(GridParameters parameters)
        {
            return new NyomtatvanyokDAL(this, parameters);
        }

        public IOrarendiOraDal OrarendiOra()
        {
            return new OrarendiOraDal(this);
        }

        public IOrarendiOraDal OrarendiOra(GridParameters parameters)
        {
            return new OrarendiOraDal(this, parameters);
        }

        public IOraSorszamozasHalmazDAL OraSorszamozasHalmaz()
        {
            return new OraSorszamozasHalmazDAL(this);
        }

        public IOraSorszamozasHalmazDAL OraSorszamozasHalmaz(GridParameters parameters)
        {
            return new OraSorszamozasHalmazDAL(this, parameters);
        }

        public IOraSorszamozasHalmazOsszerendelesDal OraSorszamozasHalmazOsszerendeles()
        {
            return new OraSorszamozasHalmazOsszerendelesDAL(this);
        }


        public IOsszefuggoSzakGyakDal OsszefuggoSzakGyakDal()
        {
            return new OsszefuggoSzakGyakDal(this);
        }

        public IOsszefuggoSzakGyakDal OsszefuggoSzakGyakDal(GridParameters parameters)
        {
            return new OsszefuggoSzakGyakDal(this, parameters);
        }

        public IOsztalyCsoportDal OsztalyCsoport()
        {
            return new OsztalyCsoportDal(this);
        }

        public IOsztalyCsoportDal OsztalyCsoport(GridParameters parameters)
        {
            return new OsztalyCsoportDal(this, parameters);
        }

        public IOraFileDAL OraFile()
        {
            return new OraFileDAL(this);
        }

        public IOsztalyDal Osztaly()
        {
            return new OsztalyDal(this);
        }

        public IOsztalyDal Osztaly(GridParameters parameters)
        {
            return new OsztalyDal(this, parameters);
        }

        public ISapTavolletDal SapTavolletDal()
        {
            return new SapTavolletDal(this);
        }

        public ISzamonkeresElorejelzesDal SzamonkeresElorejelzes(GridParameters parameters)
        {
            return new SzamonkeresElorejelzesDal(this, parameters);
        }

        public ISzamonkeresElorejelzesDal SzamonkeresElorejelzes()
        {
            return new SzamonkeresElorejelzesDal(this);
        }

        public ITanariAtlagSulyDal TanariAtlagSulyDal()
        {
            return new TanariAtlagSulyDal(this);
        }

        public ITanariAtlagSulyDal TanariAtlagSulyDal(GridParameters parameters)
        {
            return new TanariAtlagSulyDal(this, parameters);
        }

        public ITanitasiOraDal TanitasiOra()
        {
            return new TanitasiOraDal(this);
        }

        public ITanitasiOraDal TanitasiOra(GridParameters parameters)
        {
            return new TanitasiOraDal(this, parameters);
        }

        public ITanmenetDal Tanmenet()
        {
            return new TanmenetDal(this);
        }

        public ITanmenetDal Tanmenet(GridParameters parameters)
        {
            return new TanmenetDal(this, parameters);
        }

        public ITantargyDal Tantargy()
        {
            return new TantargyDAL(this);
        }

        public ITantargyDal Tantargy(GridParameters parameters)
        {
            return new TantargyDAL(this, parameters);
        }

        public ITantargyFelosztasDal TantargyFelosztas()
        {
            return new TantargyFelosztasDAL(this);
        }

        public ITantargyFelosztasDal TantargyFelosztas(GridParameters parameters)
        {
            return new TantargyFelosztasDAL(this, parameters);
        }

        public ITanuloDal Tanulo()
        {
            return new TanuloDal(this);
        }
        public INaploEllenorzesDal NaploEllenorzes() => new NaploEllenorzesDAL(this);
        public INaploEllenorzesDal NaploEllenorzes(GridParameters parameters) => new NaploEllenorzesDAL(this, parameters);
        public ITanarDal TanarDal() => new TanarDAL(this);
        public ITanarDal TanarDal(GridParameters parameters) => new TanarDAL(this, parameters);
        public INaptariHetDal NaptariHet() => new NaptariHetDAL(this);
        public INaptariHetDal NaptariHet(GridParameters parameters) => new NaptariHetDAL(this, parameters);
        public IKepesitesDal KepesitesDal() => new KepesitesDal(this);
        public IKepesitesDal KepesitesDal(GridParameters parameters) => new KepesitesDal(this, parameters);
        public ITanevRendjeDal TanevRendjeDal(GridParameters parameters) => new TanevRendjeDAL(this, parameters);
        public ITanevRendjeDal TanevRendjeDal() => new TanevRendjeDAL(this);
        public ITelepulesDal TelepulesDal(GridParameters parameters) => new TelepulesDAL(this, parameters);
        public ITelepulesDal TelepulesDal() => new TelepulesDAL(this);

        public ITanuloDal Tanulo(GridParameters parameters)
        {
            return new TanuloDal(this, parameters);
        }

        public IAdminDAL Admin()
        {
            return new AdminDAL(this);
        }

        public IAdminDAL Admin(GridParameters parameters)
        {
            return new AdminDAL(this, parameters);
        }

        public ITanuloCsoportDal TanuloCsoport()
        {
            return new TanuloCsoportDal(this);
        }

        public ITanuloErtekelesDal TanuloErtekelesDal()
        {
            return new TanuloErtekelesDal(this);
        }

        public ITanuloErtekelesDal TanuloErtekelesDal(GridParameters parameters)
        {
            return new TanuloErtekelesDal(this, parameters);
        }

        public ITanuloErtekelesMondatbankDal TanuloErtekelesMondatbankDal()
        {
            return new TanuloErtekelesMondatbankDal(this);
        }

        public ITanuloErtekelesMondatbankDal TanuloErtekelesMondatbankDal(GridParameters parameters)
        {
            return new TanuloErtekelesMondatbankDal(this, parameters);
        }

        public ITanuloKozossegiSzolgalatDal TanuloKozossegiSzolgalat()
        {
            return new TanuloKozossegiSzolgalatDal(this);
        }

        public ITanuloKozossegiSzolgalatDal TanuloKozossegiSzolgalat(GridParameters parameters)
        {
            return new TanuloKozossegiSzolgalatDal(this, parameters);
        }

        public ITanuloMentessegDal TanuloMentesseg()
        {
            return new TanuloMentessegDal(this);
        }

        public ITanuloTanugyiAdatokDal TanuloTanugyiAdatokDal()
        {
            return new TanuloTanugyiAdatokDal(this);
        }

        public ITanuloTanugyiAdatokDal TanuloTanugyiAdatokDal(GridParameters parameters)
        {
            return new TanuloTanugyiAdatokDal(this, parameters);
        }

        public ITelefonDal Telefon()
        {
            return new TelefonDal(this);
        }

        public ITeremDal Terem()
        {
            return new TeremDal(this);
        }

        public ITeremDal Terem(GridParameters parameters)
        {
            return new TeremDal(this, parameters);
        }

        public ITeremElerhetosegDal TeremElerhetoseg()
        {
            return new TeremElerhetosegDal(this);
        }

        public ITeremElerhetosegDal TeremElerhetoseg(GridParameters parameters)
        {
            return new TeremElerhetosegDal(this, parameters);
        }

        public ITeremFeltoltottFajlDal TeremFeltoltottFajlDal()
        {
            return new TeremFeltoltottFajlDal(this);
        }

        public ITovabbiMunkaugyiAdatokDal TovabbiMunkaugyiAdatok()
        {
            return new TovabbiMunkaugyiAdatokDal(this);
        }

        public ITovabbiMunkaugyiAdatokDal TovabbiMunkaugyiAdatok(GridParameters parameters)
        {
            return new TovabbiMunkaugyiAdatokDal(this, parameters);
        }
        public ITanevDal TanevDal() => new TanevDAL(this);

        public ITanevDal TanevDal(GridParameters parameters) => new TanevDAL(this, parameters);

        public IOratervDal OratervDal() => new OratervDAL(this);
        public IOratervDal OratervDal(GridParameters parameters) => new OratervDAL(this, parameters);

        public IVegzettsegDal VegzettsegDal()
        {
            return new VegzettsegDal(this);
        }

        public IDokumentumDal DokumentumDal()
        {
            return new DokumentumDal(this);
        }

        public ITanuloErtekelesNyelvDal TanuloErtekelesNyelvDal()
        {
            return new TanuloErtekelesNyelvDal(this);
        }

        public IIntezmenyAdatszolgaltatasDal IntezmenyAdatszolgaltatasDal()
        {
            return new IntezmenyAdatszolgaltatasDal(this);
        }

        public IAdatszolgaltatasENaploDal AdatszolgaltatasENaploDal()
        {
            return new AdatszolgaltatasENaploDal(this);
        }

        public IPedagogusIKTAdatszolgaltatasDal PedagogusIKTAdatszolgaltatasDal()
        {
            return new PedagogusIKTAdatszolgaltatasDal(this);
        }

        public IAdatszotarDAL AdatszotarDAL()
        {
            return new AdatszotarDAL(this);
        }

        public IAdatszotarDAL AdatszotarDAL(GridParameters parameters)
        {
            return new AdatszotarDAL(this, parameters);
        }

        public IDictionaryItemBaseNyelvDal DictionaryItemBaseNyelvDal()
        {
            return new DictionaryItemBaseNyelvDal(this);
        }

        public IDictionaryItemBaseNyelvDal DictionaryItemBaseNyelvDal(GridParameters parameters)
        {
            return new DictionaryItemBaseNyelvDal(this, parameters);
        }

        public IOralatogatasDal OralatogatasDal()
        {
            return new OralatogatasDAL(this);
        }

        public IOralatogatasDal OralatogatasDal(GridParameters parameters) => new OralatogatasDAL(this, parameters);

        public IOktatasNevelesiFeladatDal OktatasNevelesiFeladatDal()
        {
            return new OktatasNevelesiFeladatDal(this);
        }

        public IKirStatDAL KirStatDAL(GridParameters parameters)
        {
            return new KirStatDAL(this, parameters);
        }

        public IMukodesiHelyDAL MukodesiHelyDAL()
        {
            return new MukodesiHelyDAL(this);
        }

        public IMukodesiHelyDAL MukodesiHelyDAL(GridParameters parameters)
        {
            return new MukodesiHelyDAL(this, parameters);
        }

        public ITantervDAL TantervDAL()
        {
            return new TantervDAL(this);
        }

        public ITantervDAL TantervDAL(GridParameters parameters)
        {
            return new TantervDAL(this, parameters);
        }
        public IRendszerBeallitasDAL RendszerBeallitas()
        {
            return new RendszerBeallitasDAL(this);
        }

        public IRendszerBeallitasDAL RendszerBeallitas(GridParameters parameters)
        {
            return new RendszerBeallitasDAL(this, parameters);
        }

        public IIntezmenyAdatokDal IntezmenyAdatokDal()
        {
            return new IntezmenyAdatokDal(this);
        }

        public ISzerepkorDAL Szerepkor()
        {
            return new SzerepkorDAL(this);
        }

        public ISzerepkorDAL Szerepkor(GridParameters parameters)
        {
            return new SzerepkorDAL(this, parameters);
        }

        public IRolesDAL RolesDAL()
        {
            return new RolesDAL(this);
        }

        public IDKT_FeladatDal DKT_FeladatDal()
        {
            return new DKT_FeladatDal(this);
        }

        public IDKT_FeladatDal DKT_FeladatDal(GridParameters parameters)
        {
            return new DKT_FeladatDal(this, parameters);
        }

        public IDKT_FileDAL DKT_FileDAL()
        {
            return new DKT_FileDal(this);
        }

        public IDKT_FileDAL DKT_FileDAL(GridParameters parameters)
        {
            return new DKT_FileDal(this, parameters);
        }

        public IIktatottDokumentumTavolletDal IktatottDokumentumTavolletDal()
        {
            return new IktatottDokumentumTavolletDAL(this);
        }

        public IJuttatasDal JuttatasDAL()
        {
            return new JuttatasDAL(this);
        }

        public ITanuloSniDal TanuloSniDal()
        {
            return new TanuloSniDal(this);
        }

        public ITovabbkepzesDal TovabbkepzesDal()
        {
            return new TovabbkepzesDal(this);
        }

        public IBankszamlaIgenylesDal BankszamlaIgenylesDal()
        {
            return new BankszamlaIgenylesDal(this);
        }

        public IJogviszonySzuneteltetesDal JogviszonySzuneteltetesDal()
        {
            return new JogviszonySzuneteltetesDal(this);
        }

        public IJogviszonySzuneteltetesDal IJogviszonySzuneteltetesDal(GridParameters parameters)
        {
            return new JogviszonySzuneteltetesDal(this, parameters);
        }

        public IKirSzirFeladatellatasiHelyDAL KirSzirFeladatellatasiHelyDAL()
        {
            return new KirSzirFeladatellatasiHelyDAL(this);
        }

        public IKirSzirFeladatellatasiHelyDAL KirSzirFeladatellatasiHelyDAL(GridParameters parameters)
        {
            return new KirSzirFeladatellatasiHelyDAL(this, parameters);
        }

        public ISzirStatFileDAL SzirStatFileDAL()
        {
            return new SzirStatFileDAL(this);
        }

        public ISzirStatFileDAL SzirStatFileDAL(GridParameters parameters)
        {
            return new SzirStatFileDAL(this, parameters);
        }

        public IZaradekDal ZaradekDal()
        {
            return new ZaradekDal(this);
        }

        public IIntezmenyConfigDAL IntezmenyConfigDAL()
        {
            return new IntezmenyConfigDAL(this);
        }

        public IDualisSzerzodesFileDal DualisSzerzodesFileDal()
        {
            return new DualisSzerzodesFileDal(this);
        }

        public IDualisSzerzodesFileDal DualisSzerzodesFileDal(GridParameters parameters)
        {
            return new DualisSzerzodesFileDal(this, parameters);
        }

        public IMunkaszerzodesDal MunkaszerzodesDal()
        {
            return new MunkaszerzodesDal(this);
        }

        public IMunkaszerzodesDal MunkaszerzodesDal(GridParameters parameters)
        {
            return new MunkaszerzodesDal(this, parameters);
        }

        public ILeptetesDal Leptetes()
        {
            return new LeptetesDal(this);
        }

        public ILeptetesDal Leptetes(GridParameters parameters)
        {
            return new LeptetesDal(this, parameters);
        }

        public ISZIRAdatszolgDAL SZIRAdatszolgDAL()
        {
            return new SZIRAdatszolgDAL(this);
        }

        public IFelmentesDal FelmentesDal()
        {
            return new FelmentesDal(this);
        }

        public IFelmentesDal FelmentesDal(GridParameters parameters)
        {
            return new FelmentesDal(this, parameters);
        }

        public ITbJogviszonyDal TbJogviszonyDal()
        {
            return new TbJogviszonyDal(this);
        }

        public ISzervezetDal SzervezetDal()
        {
            return new SzervezetDal(this);
        }

        public ISzervezetDal SzervezetDal(GridParameters parameters)
        {
            return new SzervezetDal(this, parameters);
        }

        public IUjSzktSzakmajegyzekOsszerendelesDal UjSzktSzakmajegyzekOsszerendelesDal()
        {
            return new UjSzktSzakmajegyzekOsszerendelesDal(this);
        }

        public IUjSzktSzakmajegyzekOsszerendelesDal UjSzktSzakmajegyzekOsszerendelesDal(GridParameters parameters)
        {
            return new UjSzktSzakmajegyzekOsszerendelesDal(this, parameters);
        }

        public ISzakkepzesiMunkaszerzodesDAL SzakkepzesiMunkaszerzodesDAL()
        {
            return new SzakkepzesiMunkaszerzodesDAL(this);
        }
    }
}
